<?php
    include_once("layout/header.php");
    include_once("config.php");
    include_once("achievementtag.php");        
    doHeader("Player");
    doMenu("");

    foreach ($_GET as $key => $value)
    { 
        $newValue = trim($value);
        if(get_magic_quotes_gpc())
        {
            $newValue = stripslashes($newValue);
        }
        $newValue = mysql_real_escape_string($newValue);
        $_GET[$key] = $newValue; 
    }
    
    $id = $_GET["id"];
    
    $playerQuery = mysql_query('SELECT * FROM player_pairs WHERE id="'.$id.'"');
    $name = "";
    $uniqueID = "";
    if ($playerQuery and mysql_num_rows($playerQuery) > 0)
    {
        $playerRow = mysql_fetch_row($playerQuery);
        $name = $playerRow[2];
        $uniqueID = $playerRow[1];
    }
    
    $uniqueIDArray = preg_split("[:]", $uniqueID);
    $uniqueCommunityID = 0;
    if (count($uniqueIDArray) == 3)
    {
        $uniqueCommunityID = (intval($uniqueIDArray[2]) * 2) + "76561197960265728" + intval($uniqueIDArray[1]);
    }
    
    $rankQuery = mysql_query('SELECT rank,achievementcount FROM (select (@n:=@n+1) as rank,steamid,achievementcount from player_ranks,(select (@n:=0) as n) as s1 order by achievementcount desc) as s2 WHERE steamid="'.$uniqueID.'"');
    $rank = 0;
    $achievementCount = 0; 
    if ($rankQuery and mysql_num_rows($rankQuery) > 0)
    {
        $rankRow = mysql_fetch_row($rankQuery);
        $rank = $rankRow[0];
        $achievementCount = $rankRow[1]; 
    }
    
    $rankCountQuery = mysql_query('SELECT COUNT(*) FROM player_ranks');
    $rankCountRow = mysql_fetch_row($rankCountQuery);
    
    $achievementsQuery = mysql_query('SELECT * FROM achievements ORDER BY groupid,title');
    $completeAchievements = array();
    $incompleteAchievements = array();
    $achievementTotalCount = 0;    
    $currentGroup = "";
    $groupRow = "";
    
    while($achievementRow = mysql_fetch_row($achievementsQuery))
    {
        $achievementTotalCount++;    
        $progressQuery = mysql_query('SELECT * FROM achievements_progress WHERE steamID="'.$uniqueID.'" AND groupid="'.$achievementRow[1].'" AND achievementid="'.$achievementRow[2].'" LIMIT 1');
        if ($achievementRow[1] != $currentGroup)
        {
            $currentGroup = $achievementRow[1];
            $groupQuery = mysql_query('SELECT * FROM achievement_groups WHERE stringid="'.$achievementRow[1].'" LIMIT 1');
            $groupRow = mysql_fetch_row($groupQuery);
        }
        
        if (mysql_num_rows($progressQuery) > 0)
        {
            $progressRow = mysql_fetch_row($progressQuery);
            if ($progressRow[3] == $achievementRow[5])
            {
                if (!isset($completeAchievements[$groupRow[2]]))
                {
                    $completeAchievements[$groupRow[2]] = array();
                }
                $completeAchievements[$groupRow[2]][] = array("id" => $achievementRow[0], "title" => $achievementRow[3], "description" => $achievementRow[4], "progress" => $achievementRow[5], "image" => $achievementRow[6]);
            }
            else
            {
                if (!isset($incompleteAchievements[$groupRow[2]]))
                {
                    $incompleteAchievements[$groupRow[2]] = array();
                }
                $incompleteAchievements[$groupRow[2]][] = array("id" => $achievementRow[0], "title" => $achievementRow[3], "description" => $achievementRow[4], "progress" => $progressRow[3], "totalprogress" => $achievementRow[5], "image" => $achievementRow[6]);
            }
        }
        else
        {
            if (!isset($incompleteAchievements[$groupRow[2]]))
            {
                $incompleteAchievements[$groupRow[2]] = array();
            }
            $incompleteAchievements[$groupRow[2]][] = array("id" => $achievementRow[0], "title" => $achievementRow[3], "description" => $achievementRow[4], "progress" => 0, "totalprogress" => $achievementRow[5], "image" => $achievementRow[6]);
        }
    }    
?>

<div class="block">
    <h1>MYOA Player Profile: <?php echo htmlspecialchars($name); ?></h1>
    <div class="block">
        <div class="listA"><span style="font-weight:bold">Name:</span> <?php echo htmlspecialchars($name); ?></div>
        <div class="listB"><span style="font-weight:bold">Unique ID:</span> <?php
            if ($uniqueCommunityID > 0)
            {
                echo '<a href="http://steamcommunity.com/profiles/'.floor($uniqueCommunityID).'">'.$uniqueID.'</a>';
            }
            else
            {
                echo $uniqueID;
            } 
        ?></div>
        <div class="listA"><span style="font-weight:bold">Achievements Completed:</span> <?php echo $achievementCount.'/'.$achievementTotalCount; ?></div>
        <div class="listB"><span style="font-weight:bold">Ranking:</span> <?php
            if ($rank > 0)
            {
                echo $rank.'/'.$rankCountRow[0];
            }
            else
            {
                echo "Currently unranked";
            }
        ?></div>       
    </div>
</div>

<div class="block">
	<h2>Complete Achievements</h2>
	<div class="block">
<?php
    $listA = true;
    
    if (count($completeAchievements) == 0)
    {
        echo '<p>No achievements have been completed!</p>';
    }
    else
    {
        foreach($completeAchievements as $groupName => $group)
        {
            echo '<h3>'.$groupName.'</h3>';
            foreach($group as $key => $achievement)
            {
                if ($listA)
                {
                    echo '<div class="listA">';
                    $listA = false;
                }
                else
                {
                    echo '<div class="listB">';
                    $listA = true;
                }                
    
                echo buildAchievementTag($achievement["image"], $achievement["title"], $achievement["description"], $achievement["progress"], $achievement["progress"], "achievement.php?id=".$achievement["id"]).'</div>';
            }
        }
    }
?>
	</div>
</div>

<div class="block">
    <h2>Incomplete Achievements</h2>
    <div class="block">
<?php
    $listA = true;
    
    if (count($incompleteAchievements) == 0)
    {
        echo '<p>All achievements have been completed!</p>';
    }
    else
    {
        foreach($incompleteAchievements as $groupName => $group)
        {
            echo '<h3>'.$groupName.'</h3>';
            foreach($group as $key => $achievement)
            {
                if ($listA)
                {
                    echo '<div class="listA">';
                    $listA = false;
                }
                else
                {
                    echo '<div class="listB">';
                    $listA = true;
                }
                
                echo buildAchievementTag("", $achievement["title"], $achievement["description"], $achievement["progress"], $achievement["totalprogress"], "achievement.php?id=".$achievement["id"]).'</div>';
            }
        }
    }
?>
    </div>
</div>    
<?php    
    include_once("layout/footer.php");
?>