<?php
    include_once("layout/header.php");
    include_once("config.php");

    foreach ($_GET as $key => $value)
    { 
        $newValue = trim($value);
        if(get_magic_quotes_gpc())
        {
            $newValue = stripslashes($newValue);
        }
        $newValue = mysql_real_escape_string($newValue);
        $_GET[$key] = $newValue; 
    }
        
    $mode = $_GET["mode"];
    $start = $_GET["start"];
    $value = $_GET["value"];
    
    if ($start == "")
    {
        $start = 0;
    }
    
    if ($mode == "achievement")
    {
        doHeader("Achievements", "");
        doMenu("Achievements");
?>
<script type="text/javascript">
//<![CDATA[
$(document).ready(function()
{	
    var search = ""; 
    
    $("#txtSearch").keyup(function() 
    { 
        if (search != $("#txtSearch").val()) 
        { 
            search = $("#txtSearch").val();
            if (search.length > 0)
            {
                $.ajax(
                { 
                    type: "GET", 
                    url: "ajax/search.php?mode=achievement&value=" + search, 
                    success: function(message) 
                    { 
                        $("#suggest").empty(); 
                        if (message.length > 0) 
                        { 
                            $("#suggest").append(message); 
                        }
                        else
                        {
                            $("#suggest").append("<p>No results found.</p>");
                        }
                    } 
                });
            }
            else
            {
                $("#suggest").empty(); 
            }
        } 
    });
});
//]]>
</script>
<div class="block">
    <h1>Achievement Search</h1>
    <div class="block">
        <p>Enter in a search term to start searching for an achievement in the database.</p>
        <form name="searchForm" action="search.php" method="get">
            <input type="hidden" name="mode" value="<?php echo $mode; ?>">
            <input type="hidden" name="start" value="<?php echo $start; ?>">
            <input type="text" id="txtSearch" name="value" value="<?php echo $value; ?>" />
            <input type="submit" />
        </form>
        <span id="suggest"><?php include("ajax/search.php"); ?></span>
    </div>
    <h1>Achievement Group Database</h1>
    <div class="block">
        <p>Alternatively, you can look through the Achievement Groups list, and from those pages see the list of achievements.</p>
<?php
    $query = mysql_query('SELECT * FROM achievement_groups ORDER BY title');
    $listA = true;
    while($row = mysql_fetch_row($query))
    {
        if ($listA)
        {
            echo '<div class="listA">';
            $listA = false;
        }
        else
        {
            echo '<div class="listB">';
            $listA = true;
        }

        echo '<a href="achievementgroup.php?id='.$row[0].'">'.htmlspecialchars($row[2]).'</a> (ID: '.htmlspecialchars($row[1]).')</div>';
    }
?>        
    </div>
</div>
<?php
    }
    elseif ($mode == "player")
    {
        doHeader("Players");
        doMenu("Players");
?>
<script type="text/javascript">
//<![CDATA[
$(document).ready(function()
{	
    var search = ""; 
    
    $("#txtSearch").keyup(function() 
    { 
        if (search != $("#txtSearch").val()) 
        { 
            search = $("#txtSearch").val();
            if (search.length > 0)
            {
                $.ajax(
                { 
                    type: "GET", 
                    url: "ajax/search.php?mode=player&value=" + search, 
                    success: function(message) 
                    { 
                        $("#suggest").empty(); 
                        if (message.length > 0) 
                        { 
                            $("#suggest").append(message); 
                        }
                        else
                        {
                            $("#suggest").append("<p>No results found.</p>");
                        }
                    } 
                });
            }
            else
            {
                $("#suggest").empty(); 
            }
        } 
    });
});
//]]>
</script>
<div class="block">
    <h1>Player Search</h1>
    <div class="block">
        <p>Enter in a search term to start searching for a player in the database.</p>
        <form name="searchForm" action="search.php" method="get">
            <input type="hidden" name="mode" value="<?php echo $mode; ?>">
            <input type="hidden" name="start" value="<?php echo $start; ?>">
            <input type="text" id="txtSearch" name="value" value="<?php echo $value; ?>" />
            <input type="submit" />
        </form>
        <span id="suggest"><?php include("ajax/search.php"); ?></span>        
    </div>
    <h1>Player Database</h1>
    <div class="block">
        <p>Alternatively, you can look for the player by searching through the player database below. Click &lt;&lt;Prev and Next&gt;&gt; to traverse the database.</p>
<?php
    $query = mysql_query('SELECT COUNT(*) FROM player_pairs');
    $countRow = mysql_fetch_row($query);
    
    echo '<p>';
    if ($start > 0)
    {
        if ($start - 20 < 0)
        {
            $start = 20;
        }
        echo '<a href="search.php?mode=player&start='.($start - 20).'">&lt;&lt;Prev</a>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;';
    }
    if ($start + 20 < $countRow[0])
    {
        echo '<a href="search.php?mode=player&start='.($start + 20).'">Next&gt;&gt;</a>';
    }
    echo '</p>';

    $query = mysql_query('SELECT * FROM player_pairs ORDER BY name LIMIT '.$start.',20');
    $listA = true;
    while($row = mysql_fetch_row($query))
    {
        if ($listA)
        {
            echo '<div class="listA">';
            $listA = false;
        }
        else
        {
            echo '<div class="listB">';
            $listA = true;
        }

        echo '<a href="player.php?id='.$row[0].'">'.htmlspecialchars($row[2]).'</a> (Unique ID: '.$row[1].')</div>';
    }
?>        
    </div>
</div>
<?php
    }
    else
    {
        doMenu("");
        echo '<div class="block">
            	<h1>Error</h1>
            	<div class="block">
            		<p>Could not determine which search mode to use.</p>
            	</div>
            </div>';
    }
    include_once("layout/footer.php");
?>